
Name: lxqt-session
Version: 1.4.0
Release: %mkrel 2
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Patch0:  lxqt-session-0.9.0-fix-desktop-file.patch
Summary: Session manager for the LXQt desktop
URL: http://lxqt.org/
License: LGPLv2+
Group: Graphical desktop/LXQT
#----------------------------------
Requires: 		 qtxdg-tools
Requires:       task-pipewire
BuildRequires: cmake
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}lxqt-devel >= %version
BuildRequires: qtxdg-tools-devel >= 3.12.0
BuildRequires: lxqt-build-tools >= 0.13.0
BuildRequires: procps-devel


%description
Session manager for the LXQt desktop

%prep
%setup -q %{name}-%{version}
%cmake_qt5 


%build
%make -C build

%install
rm -rf %buildroot
%makeinstall_std -C build
mkdir -p %{buildroot}%{_sysconfdir}/xdg/lxqt
cp %{buildroot}%{_datadir}/lxqt/lxqt.conf %{buildroot}%{_sysconfdir}/xdg/lxqt
cp %{buildroot}%{_datadir}/lxqt/session.conf %{buildroot}%{_sysconfdir}/xdg/lxqt
cp %{buildroot}%{_datadir}/lxqt/windowmanagers.conf %{buildroot}%{_sysconfdir}/xdg/lxqt

# wmsession session file
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
cat << EOF > %{buildroot}%{_sysconfdir}/X11/wmsession.d/13LXQT
NAME=LXQT
ICON=lxqt
DESC=LXQT Environment
EXEC=%{_bindir}/startlxqt
SCRIPT:
exec %{_bindir}/startlxqt
EOF

%files
%{_bindir}/lxqt-leave
%{_bindir}/lxqt-session
%{_bindir}/lxqt-config-session
%{_bindir}/startlxqt
%{_sysconfdir}/xdg/autostart/lxqt-xscreensaver-autostart.desktop
%{_sysconfdir}/xdg/lxqt/lxqt.conf
%{_sysconfdir}/xdg/lxqt/session.conf
%{_sysconfdir}/xdg/lxqt/windowmanagers.conf
%exclude %{_datadir}/xsessions/lxqt.desktop
%exclude %{_datadir}/applications/lxqt-leave.desktop
%{_datadir}/applications/lxqt-config-session.desktop
%{_datadir}/applications/lxqt-hibernate.desktop
%{_datadir}/applications/lxqt-lockscreen.desktop
%{_datadir}/applications/lxqt-logout.desktop
%{_datadir}/applications/lxqt-reboot.desktop
%{_datadir}/applications/lxqt-shutdown.desktop
%{_datadir}/applications/lxqt-suspend.desktop
%{_datadir}/lxqt/lxqt.conf
%{_datadir}/lxqt/session.conf
%{_datadir}/lxqt/windowmanagers.conf
%config %{_sysconfdir}/X11/wmsession.d/*
%{_mandir}/man1/*
%{_datadir}/lxqt/translations/%{name}/%{name}_*.qm
%{_datadir}/lxqt/translations/lxqt-config-session/lxqt-config-session_*.qm
%{_datadir}/lxqt/translations/lxqt-leave/lxqt-leave_*.qm

%post
%{make_dm_session}

%postun
%{make_dm_session}


%changelog
* Thu Mar 14 2024 tex - 1.4.0-2pclos2024
- require task-pipewire

* Sat Nov 12 2023 daniel - 1.4.0-1pclos2023
- new version

* Sat Apr 15 2023 daniel - 1.3.0-1pclos2023
- new version

* Wed Feb 15 2023 tex - 1.2.0-3pclos2023
- rebuild against updates

* Tue Dec 20 2022 tex - 1.2.0-2pclos2022
- rebuild against updates

* Sun Nov 06 2022 daniel - 1.2.0-1pclos2022
- new version

* Mon Sep 19 2022 tex - 1.1.0-2pclos2022
- rebuild against updates

* Sun May 08 2022 daniel - 1.1.1-1pclos2022
- 1.1.1

* Sun Apr 17 2022 daniel - 1.1.0-1pclos2022
- 1.1.0

* Sun Jan 02 2022 daniel - 1.0.1-1pclos2022
- 1.0.1

* Fri Nov 05 2021 daniel - 1.0.0-1pclos2021
- 1.0.0

* Sat Apr 17 2021 daniel <> 0.17.1-1pclos2021
- 0.17.1

* Thu Apr 15 2021 daniel <> 0.17.0-1pclos2021
- 0.17.0

* Thu Nov 05 2020 daniel <meisssw01 at gmail.com> 0.16.0-1pclos2020
- 0.16.0

* Sat Sep 12 2020 tex - 0.15.0-3pclos2020
- rebuild against updates

* Sun Jun 14 2020 daniel <meisssw01 at gmail.com> 0.15.0-2pclos2020
- rebuild against updates

* Sun Apr 26 2020 daniel <meisssw01 at gmail.com> 0.15.0-1pclos2020
- 0.15.0

* Thu Dec 05 2019 tex - 0.14.1-2pclos2019
- rebuild against updates

* Sat Mar 02 2019 daniel <meisssw01 at gmail.com> 0.14.1-1pclos2019
- update

* Wed Feb 06 2019 tex - 0.14.0-2pclos2019
- rebuild against updates

* Sun Jan 27 2019 daniel <meisssw01 at gmail.com> 0.14.0-1pclos2019
- update

* Fri Aug 03 2018 daniel <meisssw01 at gmail.com> 0.13.0-2pclos2018
- rebuild

* Sat Jul 28 2018 daniel <meisssw01 at gmail.com> 0.13.0-1pclos2018
- update

* Tue Oct 24 2017 daniel <meisssw01 at gmail.com> 0.12.0-1pclos2017
- update

* Mon Jan 02 2017 daniel <meisssw01 at gmail.com> 0.11.1-1pclos2017
- update

* Mon Sep 26 2016 ghostbunny <ghostbunny at gmx dot de> 0.11.0-1pclos2016
- 0.11.0

* Sat Apr 03 2016 bb <bb> 0.10.0-5pclos2016
- rebuild against backport upower

* Sun Apr 03 2016 bb <bb> 0.10.0-4pclos2016
- exclude non working desktop files after
- upower update

* Sat Apr 02 2016 bb <bb> 0.10.0-3pclos2016
- rebuild against updates

* Sun Feb 28 2016 daniel <meisssw01 at gmail.com> 0.10.0-2pclos2016
- rebuild for 32bit

* Tue Nov 10 2015 bb <bb> 0.10.0-1pclos2015
- update
